VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::UpdateSessionStub Class Reference

Remote stub implementation of the UpdateSession API service. More...

Inherits vmware::content::library::item::UpdateSession.

List of all members.

## Public Member Functions
| UpdateSessionStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
string | Create (string clientToken, vmware.content.library.item.UpdateSessionModel createSpec)
| Creates a new update session.
string | Create (string clientToken, vmware.content.library.item.UpdateSessionModel createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new update session.
global::System.Threading.Tasks.Task < string > | CreateAsync (string clientToken, vmware.content.library.item.UpdateSessionModel createSpec)
| Creates a new update session.
global::System.Threading.Tasks.Task < string > | CreateAsync (string clientToken, vmware.content.library.item.UpdateSessionModel createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new update session.
vmware.content.library.item.UpdateSessionModel | Get (string updateSessionId)
| Gets the update session with the specified identifier, including the most up-to-date status information for the session.
vmware.content.library.item.UpdateSessionModel | Get (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Gets the update session with the specified identifier, including the most up-to-date status information for the session.
global::System.Threading.Tasks.Task < vmware.content.library.item.UpdateSessionModel > | GetAsync (string updateSessionId)
| Gets the update session with the specified identifier, including the most up-to-date status information for the session.
global::System.Threading.Tasks.Task < vmware.content.library.item.UpdateSessionModel > | GetAsync (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Gets the update session with the specified identifier, including the most up-to-date status information for the session.
global::System.Collections.Generic.List < string > | List (string libraryItemId)
| Lists the identifiers of the update session created by the calling user.
global::System.Collections.Generic.List < string > | List (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists the identifiers of the update session created by the calling user.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (string libraryItemId)
| Lists the identifiers of the update session created by the calling user.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists the identifiers of the update session created by the calling user.
void | Complete (string updateSessionId)
| Completes the update session.
void | Complete (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Completes the update session.
global::System.Threading.Tasks.Task | CompleteAsync (string updateSessionId)
| Completes the update session.
global::System.Threading.Tasks.Task | CompleteAsync (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Completes the update session.
void | KeepAlive (string updateSessionId, long?clientProgress)
| Keeps an update session alive.
void | KeepAlive (string updateSessionId, long?clientProgress, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Keeps an update session alive.
global::System.Threading.Tasks.Task | KeepAliveAsync (string updateSessionId, long?clientProgress)
| Keeps an update session alive.
global::System.Threading.Tasks.Task | KeepAliveAsync (string updateSessionId, long?clientProgress, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Keeps an update session alive.
void | Cancel (string updateSessionId)
| Cancels the update session and deletes it.
void | Cancel (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancels the update session and deletes it.
global::System.Threading.Tasks.Task | CancelAsync (string updateSessionId)
| Cancels the update session and deletes it.
global::System.Threading.Tasks.Task | CancelAsync (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancels the update session and deletes it.
void | Fail (string updateSessionId, string clientErrorMessage)
| Terminates the update session with a client specified error message.
void | Fail (string updateSessionId, string clientErrorMessage, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Terminates the update session with a client specified error message.
global::System.Threading.Tasks.Task | FailAsync (string updateSessionId, string clientErrorMessage)
| Terminates the update session with a client specified error message.
global::System.Threading.Tasks.Task | FailAsync (string updateSessionId, string clientErrorMessage, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Terminates the update session with a client specified error message.
void | Delete (string updateSessionId)
| Deletes an update session.
void | Delete (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes an update session.
global::System.Threading.Tasks.Task | DeleteAsync (string updateSessionId)
| Deletes an update session.
global::System.Threading.Tasks.Task | DeleteAsync (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes an update session.

## Detailed Description

Remote stub implementation of the UpdateSession API service.

## Constructor & Destructor Documentation

vmware::content::library::item::UpdateSessionStub::UpdateSessionStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::content::library::item::UpdateSessionStub::Cancel | ( | string | updateSessionId | ) | `[inline]`

Cancels the update session and deletes it.

This method will free up any temporary resources currently associated with the session.

This method is not allowed if the session has been already completed.

Cancelling an update session will cancel any in progress transfers (either uploaded by the client or pulled by the server). Any content that has been already received will be scheduled for deletion.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session that should be canceled. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

void vmware::content::library::item::UpdateSessionStub::Cancel | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Cancels the update session and deletes it.

This method will free up any temporary resources currently associated with the session.

This method is not allowed if the session has been already completed.

Cancelling an update session will cancel any in progress transfers (either uploaded by the client or pulled by the server). Any content that has been already received will be scheduled for deletion.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session that should be canceled. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task vmware::content::library::item::UpdateSessionStub::CancelAsync | ( | string | updateSessionId | ) | `[inline]`

Cancels the update session and deletes it.

This method will free up any temporary resources currently associated with the session.

This method is not allowed if the session has been already completed.

Cancelling an update session will cancel any in progress transfers (either uploaded by the client or pulled by the server). Any content that has been already received will be scheduled for deletion.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session that should be canceled. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task vmware::content::library::item::UpdateSessionStub::CancelAsync | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Cancels the update session and deletes it.

This method will free up any temporary resources currently associated with the session.

This method is not allowed if the session has been already completed.

Cancelling an update session will cancel any in progress transfers (either uploaded by the client or pulled by the server). Any content that has been already received will be scheduled for deletion.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session that should be canceled. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::UpdateSession.

void vmware::content::library::item::UpdateSessionStub::Complete | ( | string | updateSessionId | ) | `[inline]`

Completes the update session.

This indicates that the client has finished making all the changes required to the underlying library item. If the client is pushing the content to the server, the library item will be updated once this call returns. If the server is pulling the content, the call may return before the changes become visible. In that case, the client can track the session to know when the server is done.

This method requires the session to be in the UpdateSessionModel.State.ACTIVE state.

Depending on the type of the library item associated with this session, a type adapter may be invoked to verify the validity of the files uploaded. The user can explicitly validate the session before completing the session by using the updatesession.File.Validate method.

Modifications are not visible to other clients unless the session is completed and all necessary files have been received.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state, or if some of the files that will be uploaded by the client aren't received correctly.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session that should be completed. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

void vmware::content::library::item::UpdateSessionStub::Complete | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Completes the update session.

This indicates that the client has finished making all the changes required to the underlying library item. If the client is pushing the content to the server, the library item will be updated once this call returns. If the server is pulling the content, the call may return before the changes become visible. In that case, the client can track the session to know when the server is done.

This method requires the session to be in the UpdateSessionModel.State.ACTIVE state.

Depending on the type of the library item associated with this session, a type adapter may be invoked to verify the validity of the files uploaded. The user can explicitly validate the session before completing the session by using the updatesession.File.Validate method.

Modifications are not visible to other clients unless the session is completed and all necessary files have been received.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state, or if some of the files that will be uploaded by the client aren't received correctly.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session that should be completed. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task vmware::content::library::item::UpdateSessionStub::CompleteAsync | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Completes the update session.

This indicates that the client has finished making all the changes required to the underlying library item. If the client is pushing the content to the server, the library item will be updated once this call returns. If the server is pulling the content, the call may return before the changes become visible. In that case, the client can track the session to know when the server is done.

This method requires the session to be in the UpdateSessionModel.State.ACTIVE state.

Depending on the type of the library item associated with this session, a type adapter may be invoked to verify the validity of the files uploaded. The user can explicitly validate the session before completing the session by using the updatesession.File.Validate method.

Modifications are not visible to other clients unless the session is completed and all necessary files have been received.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state, or if some of the files that will be uploaded by the client aren't received correctly.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session that should be completed. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task vmware::content::library::item::UpdateSessionStub::CompleteAsync | ( | string | updateSessionId | ) | `[inline]`

Completes the update session.

This indicates that the client has finished making all the changes required to the underlying library item. If the client is pushing the content to the server, the library item will be updated once this call returns. If the server is pulling the content, the call may return before the changes become visible. In that case, the client can track the session to know when the server is done.

This method requires the session to be in the UpdateSessionModel.State.ACTIVE state.

Depending on the type of the library item associated with this session, a type adapter may be invoked to verify the validity of the files uploaded. The user can explicitly validate the session before completing the session by using the updatesession.File.Validate method.

Modifications are not visible to other clients unless the session is completed and all necessary files have been received.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state, or if some of the files that will be uploaded by the client aren't received correctly.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session that should be completed. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

string vmware::content::library::item::UpdateSessionStub::Create | ( | string | clientToken,
|  | vmware.content.library.item.UpdateSessionModel | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a new update session.

An update session is used to make modifications to a library item. Modifications are not visible to other clients unless the session is completed and all necessary files have been received.

Content Library Service allows only one single update session to be active for a specific library item.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the session specification is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the update session is being created on a subscribed library item.
  vmware.vapi.std.errors.NotFound | if the item targeted for update does not exist.
  vmware.vapi.std.errors.ResourceBusy | if there is another update session on the same library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the attribute UpdateSessionModel.libraryItemId requires `ContentLibrary.UpdateSession` .

Parameters:

  clientToken | Unique token generated by the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new update session to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifier of the new update session being created. The result will be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

string vmware::content::library::item::UpdateSessionStub::Create | ( | string | clientToken,
|  | vmware.content.library.item.UpdateSessionModel | createSpec
| ) |  | `[inline]`

Creates a new update session.

An update session is used to make modifications to a library item. Modifications are not visible to other clients unless the session is completed and all necessary files have been received.

Content Library Service allows only one single update session to be active for a specific library item.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the session specification is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the update session is being created on a subscribed library item.
  vmware.vapi.std.errors.NotFound | if the item targeted for update does not exist.
  vmware.vapi.std.errors.ResourceBusy | if there is another update session on the same library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the attribute UpdateSessionModel.libraryItemId requires `ContentLibrary.UpdateSession` .

Parameters:

  clientToken | Unique token generated by the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new update session to be created.

Returns:
  Identifier of the new update session being created. The result will be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task<string> vmware::content::library::item::UpdateSessionStub::CreateAsync | ( | string | clientToken,
|  | vmware.content.library.item.UpdateSessionModel | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a new update session.

An update session is used to make modifications to a library item. Modifications are not visible to other clients unless the session is completed and all necessary files have been received.

Content Library Service allows only one single update session to be active for a specific library item.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the session specification is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the update session is being created on a subscribed library item.
  vmware.vapi.std.errors.NotFound | if the item targeted for update does not exist.
  vmware.vapi.std.errors.ResourceBusy | if there is another update session on the same library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the attribute UpdateSessionModel.libraryItemId requires `ContentLibrary.UpdateSession` .

Parameters:

  clientToken | Unique token generated by the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new update session to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifier of the new update session being created. The result will be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task<string> vmware::content::library::item::UpdateSessionStub::CreateAsync | ( | string | clientToken,
|  | vmware.content.library.item.UpdateSessionModel | createSpec
| ) |  | `[inline]`

Creates a new update session.

An update session is used to make modifications to a library item. Modifications are not visible to other clients unless the session is completed and all necessary files have been received.

Content Library Service allows only one single update session to be active for a specific library item.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the session specification is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the update session is being created on a subscribed library item.
  vmware.vapi.std.errors.NotFound | if the item targeted for update does not exist.
  vmware.vapi.std.errors.ResourceBusy | if there is another update session on the same library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the attribute UpdateSessionModel.libraryItemId requires `ContentLibrary.UpdateSession` .

Parameters:

  clientToken | Unique token generated by the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new update session to be created.

Returns:
  Identifier of the new update session being created. The result will be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

void vmware::content::library::item::UpdateSessionStub::Delete | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes an update session.

This removes the session and all information associated with it.

Removing an update session leaves any current transfers for that session in an indeterminate state (there is no guarantee that the server will terminate the transfers, or that the transfers can be completed). However there will no longer be a means of inspecting the status of those uploads except by seeing the effect on the library item.

Update sessions for which there is no upload activity or which are complete will automatically be deleted after a period of time.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifer of the update session to delete. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::UpdateSession.

void vmware::content::library::item::UpdateSessionStub::Delete | ( | string | updateSessionId | ) | `[inline]`

Deletes an update session.

This removes the session and all information associated with it.

Removing an update session leaves any current transfers for that session in an indeterminate state (there is no guarantee that the server will terminate the transfers, or that the transfers can be completed). However there will no longer be a means of inspecting the status of those uploads except by seeing the effect on the library item.

Update sessions for which there is no upload activity or which are complete will automatically be deleted after a period of time.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifer of the update session to delete. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task vmware::content::library::item::UpdateSessionStub::DeleteAsync | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes an update session.

This removes the session and all information associated with it.

Removing an update session leaves any current transfers for that session in an indeterminate state (there is no guarantee that the server will terminate the transfers, or that the transfers can be completed). However there will no longer be a means of inspecting the status of those uploads except by seeing the effect on the library item.

Update sessions for which there is no upload activity or which are complete will automatically be deleted after a period of time.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifer of the update session to delete. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task vmware::content::library::item::UpdateSessionStub::DeleteAsync | ( | string | updateSessionId | ) | `[inline]`

Deletes an update session.

This removes the session and all information associated with it.

Removing an update session leaves any current transfers for that session in an indeterminate state (there is no guarantee that the server will terminate the transfers, or that the transfers can be completed). However there will no longer be a means of inspecting the status of those uploads except by seeing the effect on the library item.

Update sessions for which there is no upload activity or which are complete will automatically be deleted after a period of time.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifer of the update session to delete. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

void vmware::content::library::item::UpdateSessionStub::Fail | ( | string | updateSessionId,
|  | string | clientErrorMessage
| ) |  | `[inline]`

Terminates the update session with a client specified error message.

This is useful in transmitting client side failures (for example, not being able to access a file) to the server side.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session to fail. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  clientErrorMessage | Client side error message. This can be useful in providing some extra details about the client side failure. Note that the message won't be translated to the user's locale.

Implements vmware::content::library::item::UpdateSession.

void vmware::content::library::item::UpdateSessionStub::Fail | ( | string | updateSessionId,
|  | string | clientErrorMessage,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Terminates the update session with a client specified error message.

This is useful in transmitting client side failures (for example, not being able to access a file) to the server side.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session to fail. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  clientErrorMessage | Client side error message. This can be useful in providing some extra details about the client side failure. Note that the message won't be translated to the user's locale.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task vmware::content::library::item::UpdateSessionStub::FailAsync | ( | string | updateSessionId,
|  | string | clientErrorMessage
| ) |  | `[inline]`

Terminates the update session with a client specified error message.

This is useful in transmitting client side failures (for example, not being able to access a file) to the server side.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session to fail. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  clientErrorMessage | Client side error message. This can be useful in providing some extra details about the client side failure. Note that the message won't be translated to the user's locale.

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task vmware::content::library::item::UpdateSessionStub::FailAsync | ( | string | updateSessionId,
|  | string | clientErrorMessage,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Terminates the update session with a client specified error message.

This is useful in transmitting client side failures (for example, not being able to access a file) to the server side.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session to fail. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  clientErrorMessage | Client side error message. This can be useful in providing some extra details about the client side failure. Note that the message won't be translated to the user's locale.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::UpdateSession.

vmware.content.library.item.UpdateSessionModel vmware::content::library::item::UpdateSessionStub::Get | ( | string | updateSessionId | ) | `[inline]`

Gets the update session with the specified identifier, including the most up-to-date status information for the session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session to retrieve. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Returns:
  The UpdateSessionModel instance with the given updateSessionId .

Implements vmware::content::library::item::UpdateSession.

vmware.content.library.item.UpdateSessionModel vmware::content::library::item::UpdateSessionStub::Get | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Gets the update session with the specified identifier, including the most up-to-date status information for the session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session to retrieve. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The UpdateSessionModel instance with the given updateSessionId .

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task<vmware.content.library.item.UpdateSessionModel> vmware::content::library::item::UpdateSessionStub::GetAsync | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Gets the update session with the specified identifier, including the most up-to-date status information for the session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session to retrieve. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The UpdateSessionModel instance with the given updateSessionId .

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task<vmware.content.library.item.UpdateSessionModel> vmware::content::library::item::UpdateSessionStub::GetAsync | ( | string | updateSessionId | ) | `[inline]`

Gets the update session with the specified identifier, including the most up-to-date status information for the session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session to retrieve. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Returns:
  The UpdateSessionModel instance with the given updateSessionId .

Implements vmware::content::library::item::UpdateSession.

void vmware::content::library::item::UpdateSessionStub::KeepAlive | ( | string | updateSessionId,
|  | long? | clientProgress
| ) |  | `[inline]`

Keeps an update session alive.

If there is no activity for an update session after a period of time, the update session will expire, then be deleted. The update session expiration timeout is configurable in the Content Library Service system configuration. The default is five minutes. Invoking this method enables a client to specifically extend the lifetime of the update session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session whose lifetime should be extended. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  clientProgress | Optional update to the progress property of the session. If specified, the new progress should be greater then the current progress. See UpdateSessionModel.clientProgress . If not specified the progress is not updated.

Implements vmware::content::library::item::UpdateSession.

void vmware::content::library::item::UpdateSessionStub::KeepAlive | ( | string | updateSessionId,
|  | long? | clientProgress,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Keeps an update session alive.

If there is no activity for an update session after a period of time, the update session will expire, then be deleted. The update session expiration timeout is configurable in the Content Library Service system configuration. The default is five minutes. Invoking this method enables a client to specifically extend the lifetime of the update session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session whose lifetime should be extended. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  clientProgress | Optional update to the progress property of the session. If specified, the new progress should be greater then the current progress. See UpdateSessionModel.clientProgress . If not specified the progress is not updated.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task vmware::content::library::item::UpdateSessionStub::KeepAliveAsync | ( | string | updateSessionId,
|  | long? | clientProgress
| ) |  | `[inline]`

Keeps an update session alive.

If there is no activity for an update session after a period of time, the update session will expire, then be deleted. The update session expiration timeout is configurable in the Content Library Service system configuration. The default is five minutes. Invoking this method enables a client to specifically extend the lifetime of the update session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session whose lifetime should be extended. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  clientProgress | Optional update to the progress property of the session. If specified, the new progress should be greater then the current progress. See UpdateSessionModel.clientProgress . If not specified the progress is not updated.

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task vmware::content::library::item::UpdateSessionStub::KeepAliveAsync | ( | string | updateSessionId,
|  | long? | clientProgress,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Keeps an update session alive.

If there is no activity for an update session after a period of time, the update session will expire, then be deleted. The update session expiration timeout is configurable in the Content Library Service system configuration. The default is five minutes. Invoking this method enables a client to specifically extend the lifetime of the update session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the UpdateSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  updateSessionId | Identifier of the update session whose lifetime should be extended. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  clientProgress | Optional update to the progress property of the session. If specified, the new progress should be greater then the current progress. See UpdateSessionModel.clientProgress . If not specified the progress is not updated.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::UpdateSession.

global::System.Collections.Generic.List<string> vmware::content::library::item::UpdateSessionStub::List | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Lists the identifiers of the update session created by the calling user.

Optionally may filter by library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a library item identifier is given for an item which does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.item.UpdateSession` referenced by the parameter libraryItemId requires `ContentLibrary.UpdateSession` .

Parameters:

  libraryItemId | Optional library item identifier on which to filter results. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` . If not specified the results are not filtered.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers of all update sessions created by the calling user. The result will contain identifiers for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

global::System.Collections.Generic.List<string> vmware::content::library::item::UpdateSessionStub::List | ( | string | libraryItemId | ) | `[inline]`

Lists the identifiers of the update session created by the calling user.

Optionally may filter by library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a library item identifier is given for an item which does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.item.UpdateSession` referenced by the parameter libraryItemId requires `ContentLibrary.UpdateSession` .

Parameters:

  libraryItemId | Optional library item identifier on which to filter results. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` . If not specified the results are not filtered.

Returns:
  The list of identifiers of all update sessions created by the calling user. The result will contain identifiers for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::library::item::UpdateSessionStub::ListAsync | ( | string | libraryItemId | ) | `[inline]`

Lists the identifiers of the update session created by the calling user.

Optionally may filter by library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a library item identifier is given for an item which does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.item.UpdateSession` referenced by the parameter libraryItemId requires `ContentLibrary.UpdateSession` .

Parameters:

  libraryItemId | Optional library item identifier on which to filter results. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` . If not specified the results are not filtered.

Returns:
  The list of identifiers of all update sessions created by the calling user. The result will contain identifiers for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::library::item::UpdateSessionStub::ListAsync | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Lists the identifiers of the update session created by the calling user.

Optionally may filter by library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a library item identifier is given for an item which does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.item.UpdateSession` referenced by the parameter libraryItemId requires `ContentLibrary.UpdateSession` .

Parameters:

  libraryItemId | Optional library item identifier on which to filter results. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` . If not specified the results are not filtered.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers of all update sessions created by the calling user. The result will contain identifiers for the resource type: `com.vmware.content.library.item.UpdateSession` .

Implements vmware::content::library::item::UpdateSession.

The documentation for this class was generated from the following file:

- UpdateSessionStub.cs